Index: src/ReadGeom_turbomole.f90
===================================================================
--- src/ReadGeom_turbomole.f90	(revision 11)
+++ src/ReadGeom_turbomole.f90	(revision 12)
@@ -1,5 +1,36 @@
 SUBROUTINE ReadGeom_turbomole
 
+!----------------------------------------------------------------------
+!  Copyright 2003-2014 Ecole Normale Supérieure de Lyon, 
+!  Centre National de la Recherche Scientifique,
+!  Université Claude Bernard Lyon 1. All rights reserved.
+!
+!  This work is registered with the Agency for the Protection of Programs 
+!  as IDDN.FR.001.100009.000.S.P.2014.000.30625
+!
+!  Authors: P. Fleurat-Lessard, P. Dayal
+!  Contact: optnpath@gmail.com
+!
+! This file is part of "Opt'n Path".
+!
+!  "Opt'n Path" is free software: you can redistribute it and/or modify
+!  it under the terms of the GNU Affero General Public License as
+!  published by the Free Software Foundation, either version 3 of the License,
+!  or (at your option) any later version.
+!
+!  "Opt'n Path" is distributed in the hope that it will be useful,
+!  but WITHOUT ANY WARRANTY; without even the implied warranty of
+!
+!  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+!  GNU Affero General Public License for more details.
+!
+!  You should have received a copy of the GNU Affero General Public License
+!  along with "Opt'n Path". If not, see <http://www.gnu.org/licenses/>.
+!
+! Contact The Office of Technology Licensing, valorisation@ens-lyon.fr,
+! for commercial licensing opportunities.
+!----------------------------------------------------------------------
+
   Use Path_module
   Use Io_module
 
Index: src/Step_DIIS_all.f90
===================================================================
--- src/Step_DIIS_all.f90	(revision 11)
+++ src/Step_DIIS_all.f90	(revision 12)
@@ -4,8 +4,43 @@
 !C  Geom_new = New Geometry.
 
     SUBROUTINE Step_diis_all(NGeomF,IGeom,Step,Geom,Grad,HP,HEAT,Hess,NCoord,allocation_flag,Tangent)
-!      IMPLICIT DOUBLE PRECISION (A-H,O-Z)
 
+!----------------------------------------------------------------------
+! This routine was adapted from the public domain mopac6 diis.f 
+!  source file (c) 2009, Stewart Computational Chemistry.
+!  <http://www.openmopac.net/Downloads/Downloads.html>
+!
+!----------------------------------------------------------------------
+!  Copyright 2003-2014 Ecole Normale Supérieure de Lyon, 
+!  Centre National de la Recherche Scientifique,
+!  Université Claude Bernard Lyon 1. All rights reserved.
+!
+!  This work is registered with the Agency for the Protection of Programs 
+!  as IDDN.FR.001.100009.000.S.P.2014.000.30625
+!
+!  Authors: P. Fleurat-Lessard, P. Dayal
+!  Contact: optnpath@gmail.com
+!
+! This file is part of "Opt'n Path".
+!
+!  "Opt'n Path" is free software: you can redistribute it and/or modify
+!  it under the terms of the GNU Affero General Public License as
+!  published by the Free Software Foundation, either version 3 of the License,
+!  or (at your option) any later version.
+!
+!  "Opt'n Path" is distributed in the hope that it will be useful,
+!  but WITHOUT ANY WARRANTY; without even the implied warranty of
+!
+!  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+!  GNU Affero General Public License for more details.
+!
+!  You should have received a copy of the GNU Affero General Public License
+!  along with "Opt'n Path". If not, see <http://www.gnu.org/licenses/>.
+!
+! Contact The Office of Technology Licensing, valorisation@ens-lyon.fr,
+! for commercial licensing opportunities.
+!----------------------------------------------------------------------
+
     USE Io_module, only : IoOut 
     USE Path_module, only : Vfree
     
Index: src/WriteMixed_Gaussian.f90
===================================================================
--- src/WriteMixed_Gaussian.f90	(revision 0)
+++ src/WriteMixed_Gaussian.f90	(revision 12)
@@ -0,0 +1,138 @@
+SUBROUTINE WriteMixed_Gaussian(na,atome,NCart,ind_zmat,val_zmat)
+!----------------------------------------------------------------------
+!  Copyright 2003-2014 Ecole Normale Supérieure de Lyon, 
+!  Centre National de la Recherche Scientifique,
+!  Université Claude Bernard Lyon 1. All rights reserved.
+!
+!  This work is registered with the Agency for the Protection of Programs 
+!  as IDDN.FR.001.100009.000.S.P.2014.000.30625
+!
+!  Authors: P. Fleurat-Lessard, P. Dayal
+!  Contact: optnpath@gmail.com
+!
+! This file is part of "Opt'n Path".
+!
+!  "Opt'n Path" is free software: you can redistribute it and/or modify
+!  it under the terms of the GNU Affero General Public License as
+!  published by the Free Software Foundation, either version 3 of the License,
+!  or (at your option) any later version.
+!
+!  "Opt'n Path" is distributed in the hope that it will be useful,
+!  but WITHOUT ANY WARRANTY; without even the implied warranty of
+!
+!  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+!  GNU Affero General Public License for more details.
+!
+!  You should have received a copy of the GNU Affero General Public License
+!  along with "Opt'n Path". If not, see <http://www.gnu.org/licenses/>.
+!
+! Contact The Office of Technology Licensing, valorisation@ens-lyon.fr,
+! for commercial licensing opportunities.
+!----------------------------------------------------------------------
+
+  Use Path_module, only :   Nom
+  Use Io_module
+
+  IMPLICIT NONE
+! Parameters of the subroutine
+! na: number of atoms in the system
+  integer(KINT), INTENT(IN) ::  na
+! atome: Mass number of the atoms of the system
+  integer(KINT), INTENT(IN) ::  atome(na)
+! nCart: number of atoms described in cartesian
+  integer(KINT), INTENT(IN) ::  NCart
+! ind_zmat: for "zmat" atoms contains the indices of reference atoms
+  integer(KINT), INTENT(IN) ::  ind_zmat(Na,5)
+! val_zmat: for "zmat" atoms contains the values from reference atoms
+  real(KREAL), INTENT(IN)   :: val_zmat(Na,3)
+
+  character(6) :: at1, at2, at3, at4, d, a, dh
+  Character(6) :: x,y,z
+  character(SCHARS), ALLOCATABLE :: tab(:) ! 3*na
+  character(LCHARS) :: ligne
+  
+  INTEGER(KINT) :: i,n1,n2,n3,n4, NZmat,ITab
+
+  ALLOCATE(tab(3*na))
+
+! We first write the Cartesian atoms
+
+  DO I=1,NCart
+! Name of the atom
+     n1=ind_zmat(i,1)
+     write(at1,11) nom(atome(n1)),n1
+     Call CleanString(at1,' ')
+! x
+     write(x,11) 'x',i
+     Call CleanString(x,' ')
+
+     write(tab(3*i-2),'(A,1X,F12.8)') trim(x),val_zmat(i,1)
+! y
+     write(y,11) 'y',i
+     Call CleanString(y,' ')
+     write(tab(3*i-1),'(A,1X,F12.8)') trim(y),val_zmat(i,2)
+! z
+     write(z,11) 'z',i
+     Call CleanString(z,' ')
+     write(tab(3*i),'(A,1X,F12.8)') trim(z),val_zmat(i,3)
+! write the line
+     write(ligne,'(1X,A,1X,A,1X,A,1X,A)') Trim(at1),x,y,z
+     write(IOOUT,*) TRIM(ligne)
+  END DO
+
+  NZmat=na-NCart
+  ITab=3*NCart+1
+
+  DO i=NCart+1,NZmat
+     IF (i .GE. 1)  THEN
+        n1=ind_zmat(i,1)
+        write(at1,11) nom(atome(n1)),n1
+11      format(a2,i3)
+        Call CleanString(at1,' ')
+        write(ligne,4) at1
+     END IF
+     IF (i .GE. 2)  THEN
+        n2=ind_zmat(i,2)
+        write(at2,11) nom(atome(n2)),n2
+        Call CleanString(At2,' ')
+        write(d,11) 'R',i-1
+        Call CleanString(D,' ')
+        write(ligne,4) at1,at2,d
+        write(tab(ITab),12) d,val_zmat(i,1)
+        ITab=ITab+1
+12      format(a8,f8.4)
+     END IF
+     IF (i .GE. 3)  THEN
+        n3=ind_zmat(i,3)
+        write(at3,11) nom(atome(n3)),n3
+        Call CleanString(At3,' ')
+        write(a,11) 'A',na+i-3
+        Call CleanString(A,' ')
+        write(ligne,4) at1,at2,d,at3,a
+        write(tab(ITab),13) a,val_zmat(i,2)
+        ITab=ITab+1
+13      format(a8,f8.3)
+     END IF
+     IF (i .GE. 4)  THEN
+        n4=ind_zmat(i,4)
+        write(at4,11) nom(atome(n4)),n4
+        Call CleanString(At4,' ')
+        write(dh,11) 'DH',na+na+i-6
+        Call CleanString(dh,' ')
+        write(ligne,4) at1,at2,d,at3,a,at4,dh
+4       format(7a6)
+        write(tab(ITab),13) dh,val_zmat(i,3)
+        ITab=ITab+1
+     END IF
+     write(IOOUT,*) TRIM(ligne)
+     END DO
+     
+     write(IOOUT,*)
+     DO i=1,ITab
+        write(IOOUT,*) TRIM(tab(i))
+     END DO
+     write(IOOUT,*)
+
+     DEALLOCATE(Tab)
+
+   END SUBROUTINE WriteMixed_Gaussian
Index: src/Makefile
===================================================================
--- src/Makefile	(revision 11)
+++ src/Makefile	(revision 12)
@@ -1,5 +1,5 @@
 ################### Makefile for Path ############
-# (C) PFL 2008
+# (C) PFL 2008-2014
 #################################################
 # Change the value of Machine before compiling
 # You might also have to edit the location of
@@ -26,7 +26,6 @@
 FreeF=-FR
 endif
 
-
 ifeq ($(Machine),g95)
 # Flags for g95 
 COMP=g95 -g   -Wall -fbounds-check
@@ -41,7 +40,6 @@
 ifeq ($(Machine),gfortran)
 # Flags for gfortran
 COMP=gfortran  -pedantic -std=gnu 
-#COMP=g95  -fbounds-check -g -ftrace=full -ftrace=frame  -save-temps
 F90=${COMP}
 F77=${COMP}
 LIBMATH= -llapack -lblas
@@ -49,7 +47,6 @@
 FreeF=-ffree-form
 endif
 
-
 ifeq ($(Machine),pgf)
 # Flags for PGF
 COMP=pgf90
@@ -144,29 +141,11 @@
 FreeF=-FR
 endif
 
-
-
-ifeq ($(Machine),arqP)
-# Flags for arq Ifort
-COMP=ifort
-#F90=${COMP}   -g -check bounds  -check format -check uninit  -traceback
-F90=${COMP}   -g -check all  -traceback
-F77=${F90}
-#F90=${COMP}  
-LIBMATH= -L/opt/intel/Compiler/11.1/064/mkl/lib/64  \
-  -Wl,--start-group -lmkl_intel_lp64 -lmkl_sequential \
-           -lmkl_core -Wl,--end-group
-LINK=${COMP} -lguide -lpthread   -L/usr/lib/
-FreeF=-FR
-endif
-
 ifeq ($(Machine),arqg)
 # Flags for arq GFortran
 COMP=gfortran -g -fbacktrace -fbounds-check -Wall -Wextra
 F90=${COMP}  
 F77=${F90}
-#F90=${COMP}  
-F90=${COMP}
 LIBMATH= -llapack -lblas
 LINK=${COMP}  -L/usr/lib/  
 FreeF=-ffree-form
@@ -233,6 +212,7 @@
       ReadInput_mopac.f90 \
       ReadInput_siesta.f90 \
       ReadAnaList.f90 \
+      Set_FileDelim.f90 \
       PrintAnaList.f90 \
       AnaPath.f90 \
       AnalyzeGeom.f90 \
@@ -265,7 +245,6 @@
       egrad_test_2D.f90 \
       egrad_vasp.f90 \
       egrad_turbomole.f90 \
-      egrad_chamfre.f90 \
       egrad_LEPS.f90 \
       CalcHess.f90 \
       Hupdate_all.f90 \
@@ -292,9 +271,7 @@
       Space_GEDIIS_all.f90 \
       Space_all.f90 \
       freemv.f90 \
-      Mat_util.f90 \
-      refsor.f90 \
-      Ginvse.f90
+      Mat_util.f90 
 
 SRC0= ConvertNumAt.f90 \
       CheckPeriodicBound.f90 \
@@ -310,6 +287,7 @@
       bib_oper.f90 \
       VectorPer.f90 \
       ZmatBuild.f90 \
+      WriteMixed_Gaussian.f90 \
       CalcCnct.f90 \
       ConvXyzZmat.f90 \
       ConvXyzMixed.f90 \
@@ -326,9 +304,6 @@
       Mixed2cart.f90 \
       Write_path.f90  \
       Write_vasp.f90  \
-      Std_ori.f90 \
-      Tensor.f90 \
-      cmshft.f90 \
       sinangle.f90 \
       Header.f90 \
       gaussj.f90  \
@@ -339,8 +314,7 @@
 
 MOD = VarTypes.mod \
       Path_module.mod \
-      Io_module.mod  \
-      m_mrgrnk.mod
+      Io_module.mod 
       
 MODo = $(MOD:.mod=.o)
 MODSRC = $(MOD:.mod=.f90)
@@ -350,21 +324,6 @@
 EXAMPLES = Path.valid  parameter.dat
 
 
-###############################################################
-#
-# For now, we also give Lapack and Blas source files in case
-# the libraries are not found by the user
-#
-###############################################################
-SRCLAPACKD=$(wildcard ./lapack/double/*.f )
-SRCLAPACKU=$(wildcard ./lapack/util/*.f )
-SRCBLAS=$(wildcard ./blas/*.f )
-
-OBJLAPACK=$(SRCLAPACKD:.f=.o) \
-        $(SRCLAPACKU:.f=.o)
-
-OBJBLAS=$(SRCBLAS:.f=.o)
-
 all: path utils
 
 install: 
@@ -378,8 +337,8 @@
 	@echo ""
 	@echo "Path.exe has been created."
 
-path_noL: ${MODo} ${OBJ} lapack blas
-	${LINK} -o Path.exe ${OBJ} ${MODo}  ./lapack/lapack.a ./blas/blas.a
+path_noL: ${MODo} ${OBJ} 
+	${LINK} -o Path.exe ${OBJ} ${MODo}  ./liblapack.a ./librefblas.a
 	@echo ""
 	@echo "Path.exe has been created."
 
@@ -395,23 +354,11 @@
 xyz2path: ../utils/Xyz2Path.f90 ../utils/Xyz2Path.param 
 	${F90} -o ../utils/xyz2path ../utils/Xyz2Path.f90
 
-tgz:  ${SRC0} ${SRC} Makefile ${EXAMPLES} ${MODSRC} ${SRCLAPACKD} ${SRCLAPACKU} ${SRCBLAS} 
-	tar -cvf OpenPath_${Version}.tar ${SRC0} ${SRC} Makefile ${EXAMPLES} ${MODSRC}
-	gzip OpenPath_${Version}.tar 
-	mv  OpenPath_${Version}.tar.gz OpenPath_${Version}.tgz
-	@echo "OpenPath_${Version}.tgz  has been created."
-
-lapack: ${OBJLAPACK} 
-	ar rcs ./lapack/lapack.a ${OBJLAPACK}
-
-blas: ${OBJBLAS}
-	ar rcs ./blas/blas.a ${OBJBLAS}
-
 clean:
-	rm -f *~ "#"* *.s ${OBJ} *.mod  ${MODo} ${OBJLAPACK} ${OBJBLAS}  
+	rm -f *~ "#"* *.s ${OBJ} *.mod  ${MODo}
 
 veryclean: clean
-	rm -f Path.exe ./lapack/lapack.a  ./blas/blas.a ../utils/xyz2scan ../utils/xyz2path
+	rm -f Path.exe ../utils/xyz2scan ../utils/xyz2path
 
 %.o : %.mod
 
Index: src/bib_oper.f90
===================================================================
--- src/bib_oper.f90	(revision 11)
+++ src/bib_oper.f90	(revision 12)
@@ -1,3 +1,33 @@
+!----------------------------------------------------------------------
+!  Copyright 2003-2014 Ecole Normale Supérieure de Lyon, 
+!  Centre National de la Recherche Scientifique,
+!  Université Claude Bernard Lyon 1. All rights reserved.
+!
+!  This work is registered with the Agency for the Protection of Programs 
+!  as IDDN.FR.001.100009.000.S.P.2014.000.30625
+!
+!  Authors: P. Fleurat-Lessard, P. Dayal
+!  Contact: optnpath@gmail.com
+!
+! This file is part of "Opt'n Path".
+!
+!  "Opt'n Path" is free software: you can redistribute it and/or modify
+!  it under the terms of the GNU Affero General Public License as
+!  published by the Free Software Foundation, either version 3 of the License,
+!  or (at your option) any later version.
+!
+!  "Opt'n Path" is distributed in the hope that it will be useful,
+!  but WITHOUT ANY WARRANTY; without even the implied warranty of
+!
+!  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+!  GNU Affero General Public License for more details.
+!
+!  You should have received a copy of the GNU Affero General Public License
+!  along with "Opt'n Path". If not, see <http://www.gnu.org/licenses/>.
+!
+! Contact The Office of Technology Licensing, valorisation@ens-lyon.fr,
+! for commercial licensing opportunities.
+!----------------------------------------------------------------------
 
 !================================================================
 !       vecteur
@@ -33,7 +63,7 @@
          FUNCTION angle(v1x,v1y,v1z,norm1,v2x,v2y,v2z,norm2)
 
 
-        use Path_module, only :  Pi,KINT, KREAL
+        use Path_module, only :  Pi,KREAL
 
         real(KREAL) ::  v1x,v1y,v1z,norm1
         real(KREAL) ::  v2x,v2y,v2z,norm2
@@ -44,9 +74,9 @@
 !       write(6,*) v2x,v2y,v2z,norm2
 !       write(6,*)
         IF (abs(norm1) .LT. 1.D-4) THEN
-            STOP 'norm1 egale 0'
+            STOP 'Angle: norm1 egale 0'
         ELSE IF (abs(norm2) .LT. 1.D-4) THEN
-            STOP 'norm2 egale 0'
+            STOP 'Angle: norm2 egale 0'
         ELSE
           ps=v1x*v2x+v1y*v2y+v1z*v2z
           angle=dacos(ps/(norm1*norm2))*180./Pi
@@ -64,7 +94,7 @@
                           v2x,v2y,v2z,norm2, &
                           v3x,v3y,v3z,norm3)
 
-        use Path_module, only :  Pi,KINT, KREAL
+        use Path_module, only :  Pi, KREAL
 
         real(KREAL) ::  v1x,v1y,v1z,norm1
         real(KREAL) ::  v2x,v2y,v2z,norm2
@@ -78,11 +108,11 @@
 !       write(6,*)
         !Print *, 'Inside angle_d'
         IF (abs(norm1) .LT. 1.D-4) THEN
-            STOP 'norm1 egale 0'
+            STOP 'Angle_d: norm1 egale 0'
          ELSE IF (abs(norm2) .LT. 1.D-4) THEN
-            STOP 'norm2 egale 0'
+            STOP 'Angle_d: norm2 egale 0'
         ELSE IF (abs(norm3) .LT. 1.D-4) THEN
-            STOP 'norm3 egale 0'
+            STOP 'Angle_d: norm3 egale 0'
         ELSE
           ca=(v1x*v2x+v1y*v2y+v1z*v2z)/(norm1*norm2)
           sa=(v1x*(v2y*v3z-v2z*v3y) &
@@ -126,7 +156,7 @@
 
        SUBROUTINE rota_x(v1x,v1y,v1z,a11,a12)
 
-        use Path_module, only :  KINT, KREAL
+        use Path_module, only :  KREAL
 
         real(KREAL) ::  v1x,v1y,v1z
         real(KREAL) ::  v2x,v2y,v2z
@@ -152,7 +182,7 @@
 
        SUBROUTINE rota_y(v1x,v1y,v1z,a11,a12)
 
-        use Path_module, only :  KINT, KREAL
+        use Path_module, only :   KREAL
 
         real(KREAL) ::  v1x,v1y,v1z
         real(KREAL) ::  v2x,v2y,v2z
@@ -178,7 +208,7 @@
 
        SUBROUTINE rota_z(v1x,v1y,v1z,a11,a12)
 
-        use Path_module, only :  KINT, KREAL
+        use Path_module, only :   KREAL
 
         real(KREAL) ::  v1x,v1y,v1z
         real(KREAL) ::  v2x,v2y,v2z
